Bug 821169 - Mozilla apps are only shown in English
Mozilla apps are only shown in English
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-12 14:05 EDT by Sylvia Sánchez
Modified: 2012-07-16 03:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 03:36:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sylvia Sánchez 2012-05-12 14:05:37 EDT
Description of problem:
Both Firefox and Thunderbird are shown in English in despite I want it in Spanish.  If I run the same programs from the Mozilla tarballs, they are shown in their right translations.  Always speaking about their user interfaces, not dictionaries or else.

Version-Release number of selected component (if applicable):
Firefox 12 and Thunderbird 12 from Fedora repositories.

How reproducible:
Launching both apps in a non-english environment.


  
Actual results:
Mozilla App's user interface in english.


Expected results:
Mozilla App's in my language:  Spanish.


Additional info:
Actually, .xpi for Spanish are already installed.
Comment 1 Martin Stransky 2012-05-14 04:24:30 EDT
Please attach lift of your ENV variables (by "set" command on terminal).
Comment 2 Sylvia Sánchez 2012-05-14 16:58:18 EDT
'Set' command returns this:


COLORTERM='gnome-terminal'
DBUS_SESSION_BUS_ADDRESS='unix:abstract=/tmp/dbus-wdNyJGZx6v,guid=55ded56ddca8c00ceb22357100000046'
DESKTOP_SESSION='gnome'
DISPLAY=':0'
DM_CONTROL='/var/run/xdmctl'
GJS_DEBUG_OUTPUT='stderr'
GJS_DEBUG_TOPICS='JS ERROR;JS LOG'
GNOME_DESKTOP_SESSION_ID='this-is-deprecated'
GNOME_KEYRING_CONTROL='/tmp/keyring-FpZbsE'
GNOME_KEYRING_PID='1216'
GPG_AGENT_INFO='/tmp/keyring-FpZbsE/gpg:0:1'
HISTCONTROL='ignoredups'
HISTSIZE='1000'
HOME='/home/mariposa'
HOSTNAME='okami'
IFS=' 	
'
IMSETTINGS_INTEGRATE_DESKTOP='yes'
IMSETTINGS_MODULE='none'
KDEDIRS='/usr'
KDE_IS_PRELINKED='1'
LANG='es_UY.UTF-8'
LESSOPEN='||/usr/bin/lesspipe.sh %s'
LINENO=''
LOGNAME='mariposa'
LS_COLORS=''
MAIL='/var/spool/mail/mariposa'
OPTIND='1'
PATH='/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin'
PPID='2238'
PS1='$ '
PS2='> '
PS4='+ '
PWD='/home/mariposa'
QTDIR='/usr/lib/qt-3.3'
QTINC='/usr/lib/qt-3.3/include'
QTLIB='/usr/lib/qt-3.3/lib'
QT_IM_MODULE='xim'
SESSION_MANAGER='local/unix:@/tmp/.ICE-unix/1218,unix/unix:/tmp/.ICE-unix/1218'
SHELL='/bin/dash'
SHLVL='0'
SSH_AUTH_SOCK='/tmp/keyring-FpZbsE/ssh'
TERM='xterm'
USER='mariposa'
WINDOWID='69206021'
WINDOWPATH='1'
XAUTHORITY='/var/run/kdm/.XauthQiQUgc'
XDG_RUNTIME_DIR='/run/user/mariposa'
XDG_SEAT='seat0'
XDG_SESSION_COOKIE='e2d90c90b7b9932d1a92848e00000011-1337027931.182085-876001397'
XDG_SESSION_ID='1'
XDG_VTNR='1'
XDM_MANAGED='method=classic'
XMODIFIERS='@im=none'
Comment 3 Martin Stransky 2012-05-29 11:09:33 EDT
You use es_UY.UTF-8 but firefox contains only:

es-AR.xpi
es-CL.xpi
es-ES.xpi
es-MX.xpi

Which one should be the correct fallback for es_UY?
Comment 4 Sylvia Sánchez 2012-05-29 18:50:01 EDT
It should be  es-AR.xpi
Comment 5 Martin Stransky 2012-07-16 03:36:53 EDT
Fixed in rawhide, will be shipped with ff14.

Note You need to log in before you can comment on or make changes to this bug.